Bug 13030 - Patch to compile rpm-3.0.5 under Tru64 Unix
Summary: Patch to compile rpm-3.0.5 under Tru64 Unix
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: alpha
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-26 00:50 UTC by Ian Mortimer
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-26 00:50:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ian Mortimer 2000-06-26 00:50:08 UTC
rpm-3.0.5 as released doesn't build under Compaq's
Tru64 Unix 4.0F with gcc.  Here's the patch:

diff -rc rpm-3.0.5.orig/lib/md5.h rpm-3.0.5/lib/md5.h
*** rpm-3.0.5.orig/lib/md5.h    Wed Jun 21 00:14:00 2000
--- rpm-3.0.5/lib/md5.h Mon Jun 26 09:40:27 2000
***************
*** 3,9 ****
--- 3,13 ----

  #include <sys/types.h>

+ #ifdef __alpha
+ typedef unsigned int uint32;
+ #else
  typedef u_int32_t uint32;
+ #endif

  struct MD5Context {
        uint32 buf[4];

Comment 1 Jeff Johnson 2000-07-05 12:07:24 UTC
Fixed. Will be in final rpm-3.0.5 release. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.